    001package visrec.ri.spi;
    002
    003import javax.visrec.ml.classification.Classifier;
    004import javax.visrec.spi.ClassifierService;
    005
    006/**
    007 * @author Kevin Berendsen
    008 */
    009public final class DefaultClassifierService implements ClassifierService {
    010    /**
    011     * Creates a {@link Classifier} by source type and result map type.
    012     * @param sourceType {@link Class} object of the source type.
    013     * @param resultMapType {@link Class} object of the result map type
    014     * @param <T> source type
    015     * @param <R> result map type
    016     * @return {@link Classifier} found by source type and result map type.
    017     */
    018    @Override
    019    public <T, R> Classifier<T, R> getBySource(Class<T> sourceType, Class<R> resultMapType) {
    020        throw new UnsupportedOperationException("Not implemented yet");
    021    }
    022}